package Figure2D;

public class Poligono extends Figura2D {
	
	private Punto[] vertici;
	
	public Poligono(int n) {
		vertici = new Punto[n];
		for (int i=0; i<vertici.length; i++) {
			vertici[i] = null;
		}
	}

	public void addVertice(Punto v) {
		int i = 0;
		while( i < vertici.length  && vertici[i] != null) i++;
		
		// i ora punta "fuori" dall'array, oppure alla sua prima componente nulla.
		if ( i < vertici.length ) {
			// "i" e' la prima componente nulla dell'array
			vertici[i] = v;
		}		
	}



	public double perimetro() { 
		double result = 0;		
		if (vertici[0] == null) return 0;
		int i=0; 
		while( i < vertici.length-1  && vertici[i+1] != null) {
			result += Util.lunghezza(  vertici[i], vertici[i+1] );
			i++;
		}
		
		result += Util.lunghezza(  vertici[i], vertici[0] );		
		return result;
	}



	public double area() { 
		// Da fare!
		return -1;
	}



	public String toString() {
		// [ <vertice0> .... verticeN ]		
		String result = "[";
		for(int i=0; i<vertici.length; i++) {
			result = result + vertici[i];
		}
		result = result + "]";
		return result;	
	}

} //:~
